package org.eclipse.soda.dk.profile.test.agent.service;

/*************************************************************************
 * Copyright (c) 2007, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public interface ProfileTestAgentService {
	/**
	 * Define the max response waiting time property (String) constant.
	 */
	public final static String MAX_RESPONSE_WAITING_TIME_PROPERTY = "max.response.waiting.ms"; //$NON-NLS-1$

	/**
	 * Define the max status waiting time property (String) constant.
	 */
	public static final String MAX_STATUS_WAITING_TIME_PROPERTY = "max.status.waiting.ms"; //$NON-NLS-1$
}
