package org.eclipse.soda.dk.testagent.test.service;

/*************************************************************************
 * Copyright (c) 2007, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import org.eclipse.soda.dk.testagent.test.TestAgentTest;

/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public interface TestAgentTestService {
	/**
	 * Define the service name (String) constant.
	 */
	public static final String SERVICE_NAME = "org.eclipse.soda.dk.testagent.test.service.TestAgentTestService"; //$NON-NLS-1$

	/**
	 * Define the OSGi managed service name.
	 */
	public static final String MANAGED_SERVICE_NAME = "org.eclipse.soda.dk.testagent.test.managed.TestAgentTestManaged"; //$NON-NLS-1$

	/**
	 * Define the OSGi factory service name.
	 */
	public static final String FACTORY_SERVICE_NAME = "org.eclipse.soda.dk.testagent.test.factory.TestAgentTestFactory"; //$NON-NLS-1$

	/**
	 * Description of the test
	 */
	public static final String SERVICE_DESCRIPTION = TestAgentTest.DefaultResourceBundle.getString(Integer.toString(TestAgentTest.DESCRIPTION_STRING));
}
