package org.eclipse.soda.dk.testmanager;

/*************************************************************************
 * Copyright (c) 2007, 2009 IBM.                                         *
 * All rights reserved. This program and the accompanying materials      *
 * are made available under the terms of the Eclipse Public License v1.0 *
 * which accompanies this distribution, and is available at              *
 * http://www.eclipse.org/legal/epl-v10.html                             *
 *                                                                       *
 * Contributors:                                                         *
 *     IBM - initial API and implementation                              *
 ************************************************************************/
import org.eclipse.soda.dk.testmanager.action.Action;

/**
 * @author IBM
 * @version 1.2.0
 * @since 1.0
 */
public interface ActionContainer {
	/**
	 * Add with the specified action parameter.
	 * @param action
	 *		The action (<code>Action</code>) parameter.
	 */
	public void add(final Action action);
}
